plug-ins

20 Top Add-Ons that are Ready for Firefox 3

by Joey deVilla on May 26, 2008

I’ve been using Firefox 3 beta, which is the default version provided with Ubuntu 8.04, a.k.a. “Hardy Heron”. It’s quite good, but it’s hard to tell which plugins are compatible with it. Luckily there’s this guide — 20 Top Add-Ons that are Ready for Firefox 3 — covers some of the most useful Firefox 3-compatible plugins out there.

{ 0 comments }